﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_CancellationAndReorderScript")

<div class="content">
    <fieldset>
        <table>
            <td style="width: 20%; border-right: 1px solid black; padding-right: 7px;">
                <table>
                    <tr>
                        <td valign="middle">
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Cancel";
                                //label.Height = 25;
                            }).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td align="left" valign="top">
                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID2";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            @using (Html.BeginForm("CallbackUpload", "CancellationAndReorder", FormMethod.Post))
                            {
                                @Html.DevExpress().UploadControl(
                            Uploader =>
                            {
                                Uploader.Name = "UploadCancel";
                                Uploader.CallbackRouteValues = new { Controller = "CancellationAndReorder", Action = "CallbackUpload" };
                                Uploader.ShowProgressPanel = false;
                                //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                                Uploader.Width = 200;
                            }).GetHtml()
                            }
                            @Html.DevExpress().HyperLink(Link =>
                            {
                                Link.Name = "I_DownloadLink";
                                Link.Properties.Text = "Download Template";
                                Link.Width = 160;
                                Link.NavigateUrl = "javascript:void(0)";
                                Link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ existingFile(); }}");
                                Link.Style.Add("display", "inline-table");
                            }).GetHtml()
                        </td>
                        <td align="left" valign="top">
                            @Html.DevExpress().Button(Button =>
                            {
                                Button.Name = "I_Upload";
                                Button.Text = "Upload";
                                Button.Width = 90;
                                Button.ClientSideEvents.Click = "UploadData";
                                //Button.Style.Add("display", "inline-table");
                                Button.UseSubmitBehavior = true;
                                //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                            }).GetHtml()
                            <br />
                        </td>
                    </tr>
                    <tr>
                        <td style="padding-top: 10px;" valign="middle">
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Re-Order";
                                //label.Height = 25;
                            }).GetHtml()
                        </td>
                    </tr>
                    <tr>
                        <td align="left" valign="top">
                            @Html.DevExpress().TextBox(hsettings =>
                            {
                                hsettings.Name = "Process_ID3";
                                hsettings.ClientVisible = false;
                            }).GetHtml()
                            @using (Html.BeginForm("CallbackUploadReorder", "CancellationAndReorder", FormMethod.Post))
                            {
                                @Html.DevExpress().UploadControl(
                            Uploader =>
                            {
                                Uploader.Name = "UploadReorder";
                                Uploader.CallbackRouteValues = new { Controller = "CancellationAndReorder", Action = "CallbackUploadReorder" };
                                Uploader.ShowProgressPanel = false;
                                //Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
                                Uploader.Width = 200;
                            }).GetHtml()
                            }
                            @Html.DevExpress().HyperLink(Link =>
                            {
                                Link.Name = "I_DownloadLink_2";
                                Link.Properties.Text = "Download Template";
                                Link.Width = 160;
                                Link.NavigateUrl = "javascript:void(0)";
                                Link.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ existingFile_2(); }}");
                                Link.Style.Add("display", "inline-table");
                            }).GetHtml()
                        </td>
                        <td align="left" valign="top">
                            @Html.DevExpress().Button(Button =>
                            {
                                Button.Name = "I_Upload_2";
                                Button.Text = "Upload";
                                Button.Width = 90;
                                Button.ClientSideEvents.Click = "UploadData_2";
                                //Button.Style.Add("display", "inline-table");
                                Button.UseSubmitBehavior = true;
                                //Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("VESSEL_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                            }).GetHtml()
                            <br />
                        </td>
                    </tr>
                </table>
            </td>
            <td style="padding-left: 7px;">
                <table style="width: 100%">

                    <tr>
                        <td valign="middle">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*Order No";
                                    label.Height = 25;
                                }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().TextBox(
                              settings =>
                              {
                                  settings.Name = "I_TMAP_ORDER_NO";
                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                  settings.Width = 120;
                                  settings.Properties.MaxLength = 12;
                                  settings.Properties.ClientSideEvents.KeyUp = "searchByEntered";
                                  settings.Properties.ClientSideEvents.Init = "SetFocus";
                              }).GetHtml()
                        </td>
                        <td valign="middle">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Kanban ID";
                                    label.Height = 20;
                                }).GetHtml()
                        </td>

                        <td>
                            @Html.DevExpress().TextBox(
                              settings =>
                              {
                                  settings.Name = "I_KANBAN_ID";
                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                  settings.Width = 120;
                                  settings.Properties.MaxLength = 20; 
                              }).GetHtml()
                        </td>
                        
                        <td style="padding-left:7px;" >
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = " Order Type";
                            }).GetHtml()
                        </td>
                        <td colspan="5">
                            @Html.DevExpress().DropDownEdit(
                                settings =>
                                {
                                    settings.Name = "I_ORDER_TYPE";
                                    //settings.Text = "Chrome;Safari";
                                    settings.Width = 250;
                                    //settings.Properties.DropDownWindowStyle.BackColor = Color.FromArgb(0xEDEDED);

                                    settings.SetDropDownWindowTemplateContent(c =>
                                    {
                                        @Html.DevExpress().ListBox(
                                            listBoxSettings =>
                                            {
                                                listBoxSettings.Name = "checkListBox";
                                                listBoxSettings.ControlStyle.Border.BorderWidth = 0;
                                                listBoxSettings.ControlStyle.BorderBottom.BorderWidth = 1;
                                                //listBoxSettings.ControlStyle.BorderBottom.BorderColor = Color.FromArgb(0xDCDCDC);
                                                listBoxSettings.Height = Unit.Pixel(170);
                                                listBoxSettings.Width = Unit.Percentage(100);
                                                listBoxSettings.Properties.SelectionMode = ListEditSelectionMode.CheckColumn;
                                                listBoxSettings.Properties.ValueField = "BUYER_ORDER_TYPE";
                                                listBoxSettings.Properties.Columns.Add("BUYER_ORDER_TYPE", "Order Type").Width = Unit.Percentage(40);
                                                listBoxSettings.Properties.Columns.Add("ORDER_TYPE_DESCRIPTION", "Description").Width = Unit.Percentage(60);
                                                listBoxSettings.Properties.ClientSideEvents.SelectedIndexChanged = "OnListBoxSelectionChanged";
                                            }
                                        ).BindList(ViewData["GridOrderType"]).Render();
                                        ViewContext.Writer.Write("<div style=\"margin: 6px; overflow: hidden;\">");
                                        @Html.DevExpress().Button(
                                            buttonSettings =>
                                            {
                                                buttonSettings.Name = "buttonClose";
                                                buttonSettings.Text = "Close";
                                                buttonSettings.Style.Add("float", "right");
                                                buttonSettings.ClientSideEvents.Click = "function(s, e){ I_ORDER_TYPE.HideDropDown(); }";
                                                buttonSettings.Height = 26;
                                            }
                                        )
                                        .Render();
                                        ViewContext.Writer.Write("</div>");
                                    });
                                    settings.Properties.AnimationType = AnimationType.None;
                                    settings.Properties.ClientSideEvents.TextChanged = "SynchronizeListBoxValues";
                                    settings.Properties.ClientSideEvents.DropDown = "SynchronizeListBoxValues";
                                }).GetHtml()

                        </td> 
                    </tr>

                    <tr> 

                        <td valign="middle" style="padding-left:7px;">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = " Part No";
                                }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_PART_NO";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Width = 120;
                                    settings.Properties.MaxLength = 15;
                                }).GetHtml()
                        </td>
                        
                        <td>
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "Supplier";
                            }).GetHtml()
                        </td>
                        <td> 
                            
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_SUPPLIER";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 120;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["SUPPLIER"]).GetHtml()
                        </td> 
                        
                        <td style="padding-left:7px;">
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = " Status";
                            }).GetHtml()
                        </td>
                        <td> 
                            
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "I_STATUS";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                settings.Width = 120;
                                settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                settings.Properties.TextFormatString = "{0}";
                                settings.Properties.ValueType = typeof(string);
                                settings.Properties.ValueField = "SYSTEM_CD";
                                settings.Properties.TextField = "SYSTEM_VALUE";
                            }).BindList(ViewData["STATUS_FLAG"]).GetHtml()
                        </td> 
                    </tr>

                    <tr>

                        <td valign="middle" style="padding-top:3px;">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*Manifest No"; 
                                }).GetHtml()
                        </td>
                        <td style="padding-top:3px">
                            @Html.DevExpress().TextBox(
                                settings =>
                                {
                                    settings.Name = "I_MANIFEST_NO";
                                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                    settings.Width = 120;
                                    settings.Properties.MaxLength = 16;
                                }).GetHtml()
                        </td>
                        
                        <td style="padding-top:3px">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    //label.Text = "Delivery Plan";
                                    label.Text = "Sub Supplier";
                                    }).GetHtml()
                        </td>
                        <td style="padding-top:3px">       
                            @Html.DevExpress().ComboBox(
                             settings =>
                             {
                                 settings.Name = "I_SUB_SUPPLIER";
                                 settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                 settings.Width = 120;
                                 settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                                 settings.Properties.TextFormatString = "{0}";
                                 settings.SelectedIndex = 0;
                                 settings.Properties.ValueType = typeof(string);
                                 settings.Properties.ValueField = "SYSTEM_CD";
                                 settings.Properties.TextField = "SYSTEM_VALUE";
                             }).BindList(ViewData["SUB_SUPPLIER"]).GetHtml() 
                        </td> 
                        
                        <td style="padding-top:3px">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*Order Date";
                                }).GetHtml()
                        </td>
                        <td style="padding-top:3px">
                            @Html.DevExpress().DateEdit(
                              settings =>
                              {
                                  settings.Name = "I_TMAP_ORDER_DT";
                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                  settings.Properties.DisplayFormatInEditMode = true;
                                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                  settings.ReadOnly = false;
                                  settings.Properties.UseMaskBehavior = true;
                                  settings.Properties.EditFormat = EditFormat.Custom;
                                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                  settings.Width = 120;
                                  settings.Properties.ClientSideEvents.DateChanged = "I_TMAP_ORDER_DT_OnChanged";
                              }).GetHtml()
                        </td>
                        <td>
                            @Html.DevExpress().Label(
                             label =>
                             {
                                 label.Text = "To";
                             }).GetHtml()
                        </td>
                        <td align="right">
                            @Html.DevExpress().DateEdit(
                                 settings =>
                                 {
                                     settings.Name = "I_TMAP_ORDER_DT_TO";
                                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                     settings.Properties.DisplayFormatInEditMode = true;
                                     settings.Properties.EditFormatString = "dd.MM.yyyy";
                                     settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                     settings.ReadOnly = false;
                                     settings.Properties.UseMaskBehavior = true;
                                     settings.Properties.EditFormat = EditFormat.Custom;
                                     settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                     settings.Width = 120;
                                 }
                                 ).GetHtml()
                        </td> 
                    </tr>

                    <tr>
                        <td></td>
                        <td></td>
                        <td></td>
                        <td></td>
                        
                        
                        <td style="padding-left:7px; padding-top:3px">
                            @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = " Cancel Date";
                                }).GetHtml()
                        </td>
                        <td style="padding-top:3px">
                            @Html.DevExpress().DateEdit(
                              settings =>
                              {
                                  settings.Name = "I_CANCEL_DT";
                                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                  settings.Properties.DisplayFormatInEditMode = true;
                                  settings.Properties.EditFormatString = "dd.MM.yyyy";
                                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                  settings.ReadOnly = false;
                                  settings.Properties.UseMaskBehavior = true;
                                  settings.Properties.EditFormat = EditFormat.Custom;
                                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                  settings.Width = 120;
                                  settings.Properties.ClientSideEvents.DateChanged = "I_TMAP_CANCEL_DT_OnChanged";
                              }).GetHtml()
                        </td>
                        <td style="padding-top:3px">
                            @Html.DevExpress().Label(
                             label =>
                             {
                                 label.Text = "To";
                             }).GetHtml()
                        </td>
                        <td align="right" style="padding-top:3px">
                            @Html.DevExpress().DateEdit(
                                 settings =>
                                 {
                                     settings.Name = "I_CANCEL_DT_TO";
                                     settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                                     settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                     settings.Properties.DisplayFormatInEditMode = true;
                                     settings.Properties.EditFormatString = "dd.MM.yyyy";
                                     settings.Properties.DisplayFormatString = "dd.MM.yyyy";
                                     settings.ReadOnly = false;
                                     settings.Properties.UseMaskBehavior = true;
                                     settings.Properties.EditFormat = EditFormat.Custom;
                                     settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                     settings.Width = 120;
                                 }
                                 ).GetHtml()
                        </td> 
                    </tr> 
                     
                    <tr>
                        <td colspan="19">
                            <hr />
                        </td>
                    </tr>
                    <tr>
                        <td colspan="10">

                            @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdDownload";
                                    edtSetting.Width = 80;
                                    edtSetting.Text = "Download";
                                    edtSetting.ClientSideEvents.Click = "DownloadData";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    edtSetting.ClientEnabled = false;
                                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "DOWNLOAD");
                                }
                                ).GetHtml()

                            @Html.DevExpress().Button(Button =>
                               {
                                   Button.Name = "cmdDownloadDetail";
                                   Button.Text = "Download Detail";
                                   Button.Width = 150;
                                   Button.Style.Add("display", "inline-table");
                                   Button.ClientSideEvents.Click = "DownloadDataDetail";
                                   Button.UseSubmitBehavior = true;
                                   //Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-02", "CANCEL");
                               }).GetHtml()

                            
                        </td> 
                        
                        <td colspan="4" align="right">
                            @Html.DevExpress().Button(
                                 edtSetting =>
                                 {
                                     edtSetting.Name = "cmdSearch";
                                     edtSetting.Text = "Search";
                                     edtSetting.Width = 80;
                                     edtSetting.ClientSideEvents.Click = "OnSearch";
                                     edtSetting.Style.Add("display", "inline-table");
                                     edtSetting.UseSubmitBehavior = true;
                                     //FOR TEST ONLY
                                     //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "SEARCH");
                                 }
                                 ).GetHtml()

                            @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdClear";
                                    edtSetting.Width = 80;
                                    edtSetting.Text = "Clear";
                                    edtSetting.ClientSideEvents.Click = "OnClear";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("OrderInquiry", "FTR-SPEX-11-01", "CLEAR");
                                }
                                ).GetHtml()
                        </td>
                        <td colspan="5"></td>
                        @*<td>
                    @Html.DevExpress().TextBox(hsettings =>
                    {
                        hsettings.Name = "Process_ID2";
                        hsettings.ClientVisible = false;
                    }).GetHtml()
                </td>*@
                    </tr>
                </table>

            </td>
        </table>
    </fieldset>
</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("CancellationAndReorderGrid")
</div>
